# Get card statuses Get all possible card statuses, including those used for card reissuing. # OpenAPI definition ```json { "openapi": "3.0.1", "info": { "title": "Card issuing - Cards", "version": "1.4.6", "description": "Card endpoints API", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support/" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io", "description": "Sandbox API server for testing." }, { "url": "https://gw-pci.pismolabs.io", "description": "Sandbox PCI API server for testing" } ], "security": [ { "BearerAuth": [] } ], "tags": [ { "name": "Card status", "description": "Card status endpoints" } ], "components": { "schemas": { "AllCardStatusesResponse": { "type": "array", "description": "All card statuses", "items": { "type": "string", "enum": [ "BLOCKED", "BROKEN", "CANCELED", "CLIENT_ORDER", "CREATED", "DAMAGED", "DEFECT", "DELETED", "EXPIRED", "FRAUD", "INCORRECT_NAME", "INOPERATIVE", "LOST", "NORMAL", "PENDING", "REISSUED", "RELIEF_LOSS", "RENAME", "ROBBED", "SHAVED", "THEFT", "UNBOUND", "UNRECEIVED", "WARNING" ] } } }, "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "description": "Account token - an access token encoded with a Pismo account ID. Tokens can expire quickly, which can result in an \"Unauthorized\" error.", "bearerFormat": "JWT" } }, "responses": { "401Unauthorized": { "description": "Access token is missing or invalid" }, "403Forbidden": { "description": "You don't have permission to access this resource" }, "500InternalServer": { "description": "Internal server error" } } }, "paths": { "/wallet/v1/cards/statuses": { "get": { "operationId": "get-v1-card-statuses", "summary": "Get card statuses", "description": "Get all possible card statuses, including those used for card reissuing.", "tags": [ "Card status" ], "responses": { "200": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/AllCardStatusesResponse" } } }, "description": "Card statuses list" }, "401": { "$ref": "#/components/responses/401Unauthorized" }, "403": { "$ref": "#/components/responses/403Forbidden" }, "500": { "$ref": "#/components/responses/500InternalServer" } } } } } } ```